"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const core_1 = require("@oclif/core");
const utils_1 = require("../../utils");
class Aws extends core_1.Command {
    async run() {
        await this.parse(Aws);
        const { AWS_PROFILE: awsProfile, AWS_ACCESS_KEY_ID: awsAccessKeyId, AWS_SECRET_ACCESS_KEY: awsSecretAccessKey } = process.env;
        if (awsAccessKeyId && awsSecretAccessKey) {
            this.log(`AWS_ACCESS_KEY_ID=${(0, utils_1.replaceWithAstrisk)(awsAccessKeyId)}`);
            this.log(`AWS_SECRET_ACCESS_KEY=${(0, utils_1.replaceWithAstrisk)(awsSecretAccessKey)}`);
        }
        else if (awsProfile) {
            this.log(`AWS_PROFILE=${awsProfile}`);
        }
        else {
            this.log('AWS_PROFILE=default');
        }
    }
}
exports.default = Aws;
Aws.description = 'AWS quick utilities';
Aws.examples = [
    `$ <%= config.bin %> <%= command.id %>
AWS_ACCESS_KEY_ID=A***************1111
AWS_SECRET_ACCESS_KEY=Z***********************************zzzz
or
AWS_PROFILE=work
`
];
