"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const sts_1 = tslib_1.__importDefault(require("aws-sdk/clients/sts"));
class Whoami extends core_1.Command {
    constructor() {
        super(...arguments);
        this.sts = new sts_1.default();
    }
    async run() {
        this.sts.getCallerIdentity({}, (err, data) => {
            if (err)
                throw err;
            else {
                const { UserId: userId, Account: account, Arn: arn } = data;
                this.log(`UserId: ${userId}
Account: ${account}
Arn: ${arn}`);
            }
        });
    }
}
exports.default = Whoami;
Whoami.examples = [
    `<%= config.bin %> <%= command.id %>
UserId: Axxxxxxxxxxxxxxxxxxxx
Account: 111111111111
Arn: arn:aws:iam::111111111111:user/cld-cli
`
];
Whoami.flags = {};
Whoami.args = [];
